import { AppConfig } from '../config';
export declare const ENGLISH_LOCALE = "en-us";
export interface BootstrapOptions {
    cloneDirectory: string;
    seedParams: SeedParams;
    appConfig: AppConfig;
    managementAPIClient: any;
    region: any;
    accessToken?: string;
    appType: string;
    livePreviewEnabled?: boolean;
}
export interface SeedParams {
    stackAPIKey?: string;
    org?: string;
    stackName?: string;
    yes?: string;
    managementTokenAlias?: string | undefined;
    managementToken?: string | undefined;
}
/**
 * @description Bootstraps the sample app
 * Clone the repo
 * Create the stack from the source
 * Setup the environment
 * Ready to use!!
 */
export default class Bootstrap {
    options: BootstrapOptions;
    private readonly ghClient;
    private repo;
    private appConfig;
    private region;
    private managementAPIClient;
    private cloneDirectory;
    constructor(options: BootstrapOptions);
    run(): Promise<any>;
}
